%MATLAB Script-file: beispiel_4_3_15_m
clear

KP = 1.0; T1 = 1.0; T2 = 4.0;
D = 0.5; om0 = 1.0;
lw = 2.0; as = -2.0;
%Allpass I. Ordnung
GA1 = tf([-KP*T1 KP],[T1 1]); 

%Allpass II. Ordnung, gleiche Zeitkonstanten
GA2g = tf([KP*T1^2 -2*KP*T1 KP],[T1^2 2*T1 1]);
%Allpass II. Ordnung, verschieden Zeitkonstanten
GA2v = tf([KP*T1*T2 -KP*(T1+T2) KP],[T1*T2 (T1+T2) 1]);
%Allpass II. Ordnung, konjugiert komplexe Zeitkonstanten
GA2k = tf([KP -KP*2*D*om0 om0^2],[1  2*D*om0  om0^2]);

bode (GA1,'k:', GA2g,'k-', GA2v,'k--', GA2k,'k-.')
title('BODE-Diagramme von Allpass-Elementen')
%bode (GA1, GA2g, GA2v, GA2k)
grid on, hold on
legend(' I. Ordnung: T_1 = 1 s','II. Ordnung: T_1 = 1 s',...
       'II. Ordnung: T_1 = 1 s, T_2 = 4 s',...
       'II. Ordnung: D = 0.5, \omega_0 = 1 s^-^1')

