   %MATLAB Script-File: ZULA1SA.m
   %Analoge Zustands-Lageregelung mit Strgrenaufschaltung
   %Strverhalten
   clf

   t=0:0.0005:0.05;					%Vektor der Zeitwerte
   TM=0.02; TES=0.0015; 			%Streckenparameter
   KS1=0.3; KS2=1; 
   A=[0, 1, 0,							%Systemmatrix
   0, -1/TM, KS2/TM,
   0, 0, -1/TES];
   b=[0; 0; KS1/TES];				%Eingangsvektor

   for i=1:3
   cT=[1, 0, 0];						%Ausgangsvektor
   spZ=-396.3;							%Vorgabepole s-Ebene
   poleZ=[spZ,spZ,spZ];       
   rR=acker(A,b,poleZ);				%Polvorgabe zeitkont.
   rR=-rR;								%Rckfhrvektor
   KRA=[0 0.5*(1/KS1-rR(3)) 1/KS1-rR(3)];%Aufschaltfaktor
   AR=A+b*rR;							%Systemmatrix der Regelung
   bz=[0; -KS2/TM; KRA(i)*KS1/TES]; %Streingangsvektor
   ZU_REG=ss(AR,bz,cT,0);			%Zustandsmodell der Regelung
   y1=step(ZU_REG,t);				%Sprungantwort zeitkont.
   subplot(211), plot(t,y1)
   title('Strsprungantwort, M_L(t)=E(t)')
   xlabel('t/s')
   hold on, grid on

   xe=t;
   y2=lsim(ZU_REG,xe,t); 			%Anstiegsantwort
   subplot(212), plot(t,y2)
   title('Stranstiegsantwort, M_L(t)=t')
   xlabel('t/s')
   hold on, grid on 
   end
   hold off
